# Uses of Class
org.eclipse.core.runtime.spi.RegistryStrategy

Packages that use RegistryStrategy
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.

## Uses of RegistryStrategy in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return RegistryStrategy
Modifier and Type
Method
Description
`static RegistryStrategy`
RegistryFactory.`createOSGiStrategy(File[] storageDirs, boolean[] cacheReadOnly, Object token)`
Creates a registry strategy that can be used in an OSGi container.
Methods in org.eclipse.core.runtime with parameters of type RegistryStrategy
Modifier and Type
Method
Description
`static IExtensionRegistry`
RegistryFactory.`createRegistry(RegistryStrategy strategy, Object masterToken, Object userToken)`
Creates a new extension registry based on the given set of parameters.